<?php

namespace App\Mail;

use Illuminate\Support\Facades\Mail;
use Illuminate\Mail\Mailable;

class MailService extends Mailable
{
    private $toAddress = "site-owner@example.com";
    public $messageText;
    public $copyToEmail;
    public $emailbody;

    public function __construct($messageText, $copyToEmail)
    {
        $this->messageText = $messageText;
        $this->copyToEmail = $copyToEmail;
    }

    public function sendEmail()
    {
        $emailTemplateParams = ['messageText' => $this->messageText, 'copyToEmail' => $this->copyToEmail];
        Mail::send("emailbody", $emailTemplateParams, function ($message) {
            $message->from(env('MAIL_FROM_ADDRESS'))
                ->to($this->toAddress)
                ->cc($this->copyToEmail)
                ->subject('Email subject here');
        });
    }
}
