<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Mail sending form</title>
    <link rel="stylesheet" type="text/css" href="{{ asset('css/form.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('css/style.css') }}">
</head>

<body>
    <div class="phppot-container">
        <h1>Post a message</h1>

        <form method="POST" action="{{ route('process.form') }}">
            @csrf <!-- CSRF protection -->

            <div class="row">
                <label for="email">Copy to email</label>
                <input type="text" id="email" name="email" class="full-width">
            </div>

            <div class="row">
                <label for="message">Your message</label>
                <textarea name="message" id="message" class="full-width" rows="10" required></textarea>
            </div>

            <div class="row">
                <button type="submit">Submit</button>
            </div>
        </form>
        @if ($errors->any())
        <div class="message error">
            <ul>
                @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
        @elseif (session()->has('success'))
        <div class="message success">
            {{ session()->get('success') }}
        </div>
        @endif
    </div>
</body>

</html>